Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
Regular Expression Constants

## Variables
const | Qore::RE_Caseless = PCRE_CASELESS
| Ignores case when matching regular expressions, equivalent to `/i`
const | Qore::RE_DotAll = PCRE_DOTALL
| makes a dot (.) match a newline character, equivalent to /s
const | Qore::RE_Extended = PCRE_EXTENDED
| ignores whitespace characters and enables comments prefixed by #, equivalent to `/x`
const | Qore::RE_Global = QRE_GLOBAL
| replace all matches globally in the string or extract all occurrences of the pattern(s) in the string, equivalent to `/g`
const | Qore::RE_MultiLine = PCRE_MULTILINE
| makes start-of-line (^) or end-of-line ($) match after or before any newline in the subject string, equivalent to `/m`

## Detailed Description

The constants in this group can be combined with binary or to give regular expression options for the regex(), regex_subst(), and regex_extract() functions.